
import sys

import smartcarb
import emiss.massbalance as mb

n_proc = 12


def main(tracer, ssp, scaling, only_detection):

    for source in sorted(smartcarb.cfg.POINT_SOURCES.keys()):

        print(source, tracer, ssp, scaling, only_detection)
        mb.main(source, tracer=tracer, ssp=ssp, scaling=scaling, n_proc=n_proc, only_detection=only_detection)

        if only_detection:
            break

        # only do this once
        redo_preperation = False


# standard call
tracer, ssp, scaling, only_detection = sys.argv[1:]
scaling = float(scaling)

if only_detection == 'True':
    only_detection = True
else:
    only_detection = False


main(tracer, ssp, scaling, only_detection)


#for ssp in ['low', 'medium']:
#    for scaling in [0.3, 1.0]:
#        main('CO2', ssp, scaling, only_detection=False)

# NO2
#for scaling in [0.3, 1.0]:
#    main('NO2', 'low', scaling, only_detection=False)

#for scaling in [0.3, 0.8]:
#    main('NO2', 'high', scaling, only_detection=False)
